=== modified file 'NEWS'
--- NEWS	2010-03-27 09:52:10 +0000
+++ NEWS	2010-03-29 06:37:23 +0000
@@ -103,6 +103,9 @@
 * Avoid ``malloc(0)`` in ``patiencediff``, which is non-portable.
   (Martin Pool, #331095)
 
+* Avoid truncating svn URLs.
+  (Martin Pool, Martin von Gagern, #545185)
+
 * ``bzr add`` will not add conflict related files unless explicitly required.
   (Vincent Ladeuil, #322767, #414589)
 

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-03-25 06:52:38 +0000
+++ bzrlib/builtins.py	2010-03-29 06:37:23 +0000
@@ -1428,8 +1428,9 @@
             branch_location = tree.branch.base
         self.add_cleanup(tree.unlock)
         # get rid of the final '/' and be ready for display
-        branch_location = urlutils.unescape_for_display(branch_location[:-1],
-                                                        self.outf.encoding)
+        branch_location = urlutils.unescape_for_display(
+            branch_location.rstrip('/'),
+            self.outf.encoding)
         existing_pending_merges = tree.get_parent_ids()[1:]
         if master is None:
             old_tip = None

